Subject: Re: [DMM] Requirements on virtual network mm

From: Behcet Sarikaya <[email-masked]>
Date: Mon, 26 Nov 2012 14:19:42 -0600

Hi Brian,

You are absolutely right.

I have to correct what I mean.

I think the term cloud is very confusing.
So I suggest not using cmm from now on.

What I mean is virtual network mobility management.
 So myself and some other colleagues are suggesting to also work on
virtual network mobility management issues.

I think that this is well within IETF scope as there are working
groups such as nvo3 working on virtual network issues.

Apologies for the confusion.

Regards,

Behcet

On Mon, Nov 19, 2012 at 1:53 PM, Brian Haberman
<[email-masked]> wrote:
> Behcet,
>
>
> On 11/19/12 12:25 PM, Behcet Sarikaya wrote:
>>
>> Hi all,
>>
>> Here is the requirement I have in mind:
>>
>> The DMM solution SHOULD support more than one cloud network belonging
>> to the same DMM domain.
>>
>> Two points:
>>
>> The above requirement does have protocol impact.
>
>
> Could you elaborate on what that impact would be?
>
> It is unclear to me what the impact of using a cloud service would be. The
> IETF has not had to change other protocols in order to have them work within
> "the cloud".
>
> Regards,
> Brian
>
>
>>
>> Second point: I also support Georgios' requirement as a base. We can
>> work on both and make it better.
>>
>> Regards,
>>
>> Behcet
>>
>> On Sat, Nov 17, 2012 at 6:28 AM,  <[email-masked]> wrote:
>>>
>>> Hi Behcet, Hi all,
>>>
>>>
>>>
>>> Regarding the cloud like architecture use case, the requirement that
>>> could
>>> be used for this purpose can be the following one:
>>>
>>>
>>>
>>> "The DMM solution MAY have the ability to be applied in virtualized
>>> and/or
>>> cloud like archietctures."
>>>
>>>
>>>
>>> Motivation:
>>>
>>>
>>>
>>> Currently, there is a trend to implement more and more functions of a
>>> mobile
>>> communication network in software, e.g., for signal and protocol
>>> processing.
>>> This enables the use of cloud computing infrastructures as processing
>>> platforms for signal and protocol processing of mobile communication
>>> networks, in particular for current (4G) and future (5G) generation
>>> cellular
>>> networks. This can only be realized if, among others, efficient DMM
>>> solutions are supported by the cloud computing architectures.
>>>
>>>
>>>
>>> Best regards,
>>>
>>> Georgios
>>>
>>> ________________________________
>>> Van: Behcet Sarikaya [[email-masked]]
>>> Verzonden: vrijdag 16 november 2012 22:20
>>> To: Karagiannis, G. (EWI)
>>> Cc: [email-masked]
>>> Onderwerp: Requirements on cmm
>>>
>>> Hi Georgios,
>>>
>>> Can you please suggest some requirements on cmm in DMM?
>>>
>>> I think that it would be relevant and useful to DMM while requirements
>>> are still being discussed.
>>>
>>> Regards,
>>>
>>> Behcet
>>> On Sun, Nov 4, 2012 at 1:52 PM,  <[email-masked]> wrote:
>>>>
>>>> Hi Behcet,
>>>>
>>>> I would like to mention that I find this draft useful due to the
>>>> following
>>>> reasons.
>>>>
>>>> Currently, there is a trend to implement more and more functions of a
>>>> mobile communication network in software, e.g., for signal and protocol
>>>> processing. This enables the use of cloud computing infrastructures as
>>>> processing platforms for signal and protocol processing of mobile
>>>> communication networks, in particular for current (4G) and future (5G)
>>>> generation cellular networks.
>>>> This can of course only be realized if, among others, efficient mobility
>>>> management solutions are supported like the ones that are in line with
>>>> what
>>>> DMM would like to specify.
>>>> I think therefore, that the DMM WG could also consider the distributed
>>>> mobility management support in cloud computing like architectures as a
>>>> possible use case.
>>>>
>>>> Regarding your draft I have some comments:
>>>> The draft mentions some limitation of the existing mobility management
>>>> solutions in cloud-like architectures. However, these limitations are
>>>> not
>>>> clearly focussing on the requirements specified in
>>>> http://www.ietf.org/id/draft-ietf-dmm-requirements-02.txt.
>>>> I think that this will make the desciption of the limitations clearer!
>>>> Moreover, it might also be useful to show describe these limitations by
>>>> using as use as context a generic framework, like the one introduced in
>>>> http://www.ietf.org/id/draft-chan-dmm-framework-gap-analysis-05.txt
>>>> and/or
>>>> http://www.ietf.org/id/draft-liebsch-dmm-framework-analysis-00.txt.
>>>>
>>>> Best regards,
>>>> Georgios
>>>>
>>>>
>>>>
>>>>
>>>> ________________________________________
>>>> Van: [email-masked] [[email-masked]] namens Behcet Sarikaya
>>>> [[email-masked]]
>>>> Verzonden: dinsdag 23 oktober 2012 21:51
>>>> To: [email-masked]
>>>> Onderwerp: [DMM] New Version Notification for
>>>> draft-sarikaya-dmm-cloud-mm-00.txt
>>>>
>>>> Hi all,
>>>>
>>>> I have submitted a new draft on Mobility Management Protocols for
>>>> Cloud-Like Architectures, for details see below.
>>>>
>>>> Chairs: please reserve a slot in IETF 85 session if possible.
>>>>
>>>> Regards,
>>>>
>>>> Behcet
>>>>
>>>> A new version of I-D, draft-sarikaya-dmm-cloud-mm-00.txt
>>>> has been successfully submitted by Behcet Sarikaya and posted to the
>>>> IETF repository.
>>>>
>>>> Filename:        draft-sarikaya-dmm-cloud-mm
>>>> Revision:        00
>>>> Title:           Mobility Management Protocols for Cloud-Like
>>>> Architectures
>>>> Creation date:   2012-10-15
>>>> WG ID:           Individual Submission
>>>> Number of pages: 11
>>>> URL:
>>>> http://www.ietf.org/internet-drafts/draft-sarikaya-dmm-cloud-mm-00.txt
>>>> Status:
>>>> http://datatracker.ietf.org/doc/draft-sarikaya-dmm-cloud-mm
>>>> Htmlized:
>>>> http://tools.ietf.org/html/draft-sarikaya-dmm-cloud-mm-00
>>>>
>>>>
>>>> Abstract:
>>>>     Telecommunication networks are being virtualized and are moving into
>>>>     the cloud networks.  This brings the need to redesign the mobility
>>>>     protocols of Mobile and Proxy Mobile IPv6.  This document defines
>>>>     mobility management protocols for virtualized networks.  Control and
>>>>     data plane separation is achieved by separating Home Agent and
>>>> Mobile
>>>>     Access Gateway functionalities into the control and data planes.
>>>>
>>>>
>>>>
>>>>
>>>> The IETF Secretariat
>>>> _______________________________________________
>>>> dmm mailing list
>>>> [email-masked]
>>>> https://www.ietf.org/mailman/listinfo/dmm
>>
>> _______________________________________________
>> dmm mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/dmm
>>
>
> _______________________________________________
> dmm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dmm